/*
 *  ofOscSender.h
 *  openFrameworks OSC addon
 *
 *  damian@frey.co.nz
 *
 */

#ifndef _OFOSCSENDER_H
#define _OFOSCSENDER_H

/** 

ofOscSender

an ofOscSender sends messages to a single host/port

*/

#include "ofOscMessage.h"

class UdpTransmitSocket;

class ofOscSender
{
public:
	ofOscSender();
	~ofOscSender();

	/// send messages to hostname and port
	void setup( const char* hostname, int port );
	
	/// send the given message
	void sendMessage( const ofOscMessage& message );
	
private:
	
	UdpTransmitSocket* socket;
};

#endif
